ATMEL: S_cbw Struct Reference

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Alphabetical List
- Data Structures
- Data Fields

# S_cbw Struct Reference

## Data Fields

U8 | flag1
U8 | flag2
U8 | flag3
U8 | flag4
U8 | tag_lsb0
U8 | tag_lsb1
U8 | tag_lsb2
U8 | tag_lsb3
U8 | lgt_lsb0
U8 | lgt_lsb1
U8 | lgt_lsb2
U8 | lgt_lsb3
U8 | dir
U8 | lun
U8 | lgt
U8 | cmd
U8 | u8_data [15]

## Detailed Description

Definition at line 82 of file host_mem.c.

## Field Documentation

U8 S_cbw::flag1

Definition at line 84 of file host_mem.c.

Referenced by host_mem_cbw_init().

U8 S_cbw::flag2

Definition at line 85 of file host_mem.c.

Referenced by host_mem_cbw_init().

U8 S_cbw::flag3

Definition at line 86 of file host_mem.c.

Referenced by host_mem_cbw_init().

U8 S_cbw::flag4

Definition at line 87 of file host_mem.c.

Referenced by host_mem_cbw_init().

U8 S_cbw::tag_lsb0

Definition at line 88 of file host_mem.c.

Referenced by host_mem_cbw_init(), and host_mem_csw_read().

U8 S_cbw::tag_lsb1

Definition at line 89 of file host_mem.c.

U8 S_cbw::tag_lsb2

Definition at line 90 of file host_mem.c.

U8 S_cbw::tag_lsb3

Definition at line 91 of file host_mem.c.

U8 S_cbw::lgt_lsb0

Definition at line 92 of file host_mem.c.

Referenced by host_mem_inquiry(), host_mem_mem_2_ram(), host_mem_mem_2_ram_ext(), host_mem_ram_2_mem_ext(), host_mem_read_capacity(), host_mem_request_sense(), and host_mem_wr_protect().

U8 S_cbw::lgt_lsb1

Definition at line 93 of file host_mem.c.

Referenced by host_mem_mem_2_ram(), host_mem_mem_2_ram_ext(), host_mem_ram_2_mem(), and host_mem_ram_2_mem_ext().

U8 S_cbw::lgt_lsb2

Definition at line 94 of file host_mem.c.

Referenced by host_mem_mem_2_ram(), host_mem_mem_2_ram_ext(), and host_mem_ram_2_mem_ext().

U8 S_cbw::lgt_lsb3

Definition at line 95 of file host_mem.c.

Referenced by host_mem_mem_2_ram(), host_mem_mem_2_ram_ext(), and host_mem_ram_2_mem_ext().

U8 S_cbw::dir

Definition at line 96 of file host_mem.c.

Referenced by host_mem_inquiry(), host_mem_mem_2_ram(), host_mem_mem_2_ram_ext(), host_mem_ram_2_mem(), host_mem_ram_2_mem_ext(), host_mem_read_capacity(), host_mem_request_sense(), host_mem_test_unit_ready(), and host_mem_wr_protect().

U8 S_cbw::lun

Definition at line 97 of file host_mem.c.

Referenced by host_mem_cbw_init().

U8 S_cbw::lgt

Definition at line 98 of file host_mem.c.

Referenced by host_mem_inquiry(), host_mem_mem_2_ram(), host_mem_mem_2_ram_ext(), host_mem_ram_2_mem(), host_mem_ram_2_mem_ext(), host_mem_read_capacity(), host_mem_request_sense(), host_mem_test_unit_ready(), and host_mem_wr_protect().

U8 S_cbw::cmd

Definition at line 99 of file host_mem.c.

Referenced by host_mem_inquiry(), host_mem_mem_2_ram(), host_mem_mem_2_ram_ext(), host_mem_ram_2_mem(), host_mem_ram_2_mem_ext(), host_mem_read_capacity(), host_mem_request_sense(), host_mem_test_unit_ready(), and host_mem_wr_protect().

U8 S_cbw::u8_data[15]

Definition at line 100 of file host_mem.c.

Referenced by host_mem_inquiry(), host_mem_mem_2_ram(), host_mem_mem_2_ram_ext(), host_mem_ram_2_mem(), host_mem_ram_2_mem_ext(), host_mem_request_sense(), and host_mem_wr_protect().

The documentation for this struct was generated from the following file:

- host_mem.c